Bug 22540 - An error during Installation of Redhat 7.0
An error during Installation of Redhat 7.0
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-19 12:44 EST by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-21 14:30:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-12-19 12:44:57 EST
Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in 
run
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/textw/packages_text.py", 
line 33, in __call__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 539, in 
getCompsList
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/harddrive.py", line 43, 
in readComps
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 459, in 
__init__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 428, in 
readCompsFile
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 101, in 
__getitem__
KeyError: MAKEDEV

Local variables in innermost frame:
self: <comps.HeaderList instance at 8232290>
item: MAKEDEV

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iharddrive
HardDriveInstallMethod
p4
(dp5
S'fstype'
p6
S'vfat'
p7
sS'isMounted'
p8
I1
sS'fnames'
p9
(dsS'tree'
p10
S'/tmp/hdimage/'
p11
sS'path'
p12
S'/'
sS'device'
p13
S'hde5'
p14
sbsS'initlevel'
p15
I3
sS'progressWindow'
p16
NsS'expert'
p17
I0
sS'ddruidReadOnly'
p18
I0
sS'bootdisk'
p19
I1
sS'language'
p20
(itodo
Language
(dp21
S'abbrevMap'
p22
(dp23
S'es_ES'
p24
S'Spanish'
p25
sS'tr_TR'
p26
S'Turkish'
p27
sS'sr_YU'
p28
S'Serbian'
p29
sS'de_DE'
p30
S'German'
p31
sS'sk_SK'
p32
S'Slovak'
p33
sS'ru_RU.KOI8-R'
p34
S'Russian'
p35
sS'is_IS'
p36
S'Icelandic'
p37
sS'no_NO'
p38
S'Norwegian'
p39
sS'sv_SE'
p40
S'Swedish'
p41
sS'en_US'
p42
S'English'
p43
sS'it_IT'
p44
S'Italian'
p45
sS'da_DK'
p46
S'Danish'
p47
sS'cs_CZ'
p48
S'Czech'
p49
sS'uk_UA.KOI8-U'
p50
S'Ukrainian'
p51
sS'hu_HU'
p52
S'Hungarian'
p53
sS'fr_FR'
p54
S'French'
p55
sS'sl_SI'
p56
S'Slovenian'
p57
sS'ro_RO'
p58
S'Romanian'
p59
ssS'font'
p60
(dp61
g45
S'lat0-sun16'
sg29
S'cyr-sun16'
sg35
S'cyr-sun16'
sg43
S'None'
sg33
S'lat2-sun16'
sg39
S'lat0-sun16'
sg41
S'lat0-sun16'
sg55
S'None'
sg57
S'lat2-sun16'
sg59
S'lat2-sun16'
sg31
S'None'
sg27
S'lat5-sun16'
sg53
S'lat2-sun16'
sg25
S'None'
sg51
S'cyr-sun16'
sg49
S'lat2-sun16'
sg47
S'lat0-sun16'
sg37
S'lat0-sun16'
ssS'langs'
p62
(dp63
g45
g44
sg29
g28
sg35
g34
sg43
g42
sg33
g32
sg39
g38
sg41
g40
sg55
g54
sg57
g56
sg59
g58
sg31
g30
sg27
g26
sg53
g52
sg25
g24
sg51
g50
sg49
g48
sg47
g46
sg37
g36
ssS'info'
p64
(dp65
S'LANG'
p66
g42
ssS'map'
p67
(dp68
g45
S'iso15'
sg29
S'iso05'
sg35
S'koi8-r'
sg43
S'None'
sg33
S'iso02'
sg39
S'iso15'
sg41
S'iso15'
sg55
S'None'
sg57
S'iso02'
sg59
S'iso02'
sg31
S'None'
sg27
S'iso09'
sg53
S'iso02'
sg25
S'None'
sg51
S'koi8-u'
sg49
S'iso02'
sg47
S'iso15'
sg37
S'iso15'
ssS'lang'
p69
g42
sbsS'fstab'
p70
NsS'lilo'
p71
(ililo
LiloConfiguration
(dp72
S'liloDevice'
p73
S'mbr'
p74
sS'initrdsMade'
p75
(dsS'edd'
p76
I0
sS'default'
p77
NsS'liloImages'
p78
(dsS'liloLinear'
p79
I1
sS'liloAppend'
p80
S''
sbsS'comps'
p81
NsS'network'
p82
(itodo
Network
(dp83
S'netdevices'
p84
(dp85
S'eth0'
p86
(itodo
NetworkDevice
(dp87
g64
(dp88
S'BOOTPROTO'
S'dhcp'
p89
sS'ONBOOT'
S'yes'
p90
sS'DEVICE'
p91
g86
ssbssS'gateway'
p92
S''
sS'secondaryNS'
p93
S''
sS'hostname'
p94
S'HOME'
sS'primaryNS'
p95
S''
sS'domains'
p96
(lsS'isConfigured'
p97
I0
sS'readData'
p98
I0
sS'ternaryNS'
p99
S''
sbsS'upgrade'
p100
I0
sS'instClass'
p101
(iworkstation
InstallClass
(dp102
S'rootPasswordCrypted'
p103
I0
sS'nameserver'
p104
S''
sS'x'
NsS'rootPassword'
p105
NsS'makeBootdisk'
p106
I1
sS'installType'
p107
NsS'postScript'
p108
NsS'earlySwapOn'
p109
I0
sS'networkDevice'
p110
NsS'clearText'
p111
Nsg71
(g74
I1
S''
tsg20
NsS'name'
p112
S''
sS'postInChroot'
p113
I0
sS'pixmap'
p114
S''
sS'partitions'
p115
(lp116
(S'/boot'
p117
(I16
I-1
I0
t(S''
I-1
I0
t(I0
I0
tNta(S'/'
(I700
I-1
I1
t(S''
I-1
I0
t(I0
I0
tNta(S'swap'
p118
(I64
I-1
I0
t(S''
I-1
I0
t(I0
I0
tNtasS'clearType'
p119
S'wkst'
p120
sg92
S''
sS'mouse'
p121
NsS'packages'
p122
NsS'timezone'
p123
NsS'zeroMbr'
p124
I0
sS'keyboard'
p125
NsS'groups'
p126
(lp127
S'Workstation Common'
p128
asS'bootProto'
p129
NsS'netmask'
p130
S''
sS'raidList'
p131
(lsS'skipSteps'
p132
(dp133
S'authentication'
p134
I1
sg71
I1
ssS'auth'
p135
(I1
I1
I0
S''
I0
S''
I0
I0
S''
S''
I0
S''
S''
S''
I0
S''
S''
tsg94
S'localhost.localdomain'
p136
sg70
(lsS'showgroups'
p137
(lp138
S'KDE'
p139
aS'GNOME'
p140
aS'Games'
p141
asS'ip'
p142
S''
sS'defaultRunlevel'
p143
NsS'desktop'
p144
S''
sS'clearPartText'
p145
S'You are about to erase any preexisting Linux installations on your 
system.'
p146
sS'clearParts'
p147
I2
sbsS'rootpassword'
p148
NsS'extraModules'
p149
(lp150
sg121
(imouse
Mouse
p151
(dp152
g13
S'input/mice'
p153
sg64
(dp154
S'XMOUSETYPE'
p155
S'IMPS/2'
p156
sS'FULLNAME'
p157
S'Generic - 3 Button Mouse (USB)'
p158
sS'MOUSETYPE'
p159
S'imps2'
p160
ssS'emu'
p161
I0
sS'wasProbed'
p162
I1
sS'emulate'
p163
I0
sbsS'ddruidAlreadySaved'
p164
I0
sS'serial'
p165
I0
sg123
(S'Asia/Hong_Kong'
I1
I0
tsg124
I0
sg125
(ikbd
Keyboard
(dp166
S'layout'
p167
NsS'model'
p168
NsS'type'
p169
S'PC'
p170
sg64
(dp171
S'KEYBOARDTYPE'
p172
S'pc'
p173
sS'KEYTABLE'
p174
S'us'
p175
ssbsS'skipFdisk'
p176
I1
sS'fdDevice'
p177
S'fd0'
p178
sS'installSystem'
p179
I1
sS'setupFilesystems'
p180
I1
sg135
(itodo
Authentication
(dp181
S'useNIS'
p182
I0
sS'nisServer'
p183
S''
sS'useLdap'
p184
I0
sS'krb5Kdc'
p185
S''
sS'useHesiod'
p186
I0
sS'ldapServer'
p187
S''
sS'nisDomain'
p188
S''
sS'krb5Realm'
p189
S''
sS'useLdapauth'
p190
I0
sS'hesiodRhs'
p191
S''
sS'useShadow'
p192
I1
sS'nisuseBroadcast'
p193
I0
sS'useKrb5'
p194
I0
sS'useMD5'
p195
I1
sS'ldapBasedn'
p196
S''
sS'krb5Admin'
p197
S''
sS'hesiodLhs'
p198
S''
sS'hesiodDlhs'
p199
S''
sbsg94
g136
sS'reconfigOnly'
p200
I0
sS'x'
(ixf86config
XF86Config
(dp201
S'monlist'
p202
(dsS'keyModel'
p203
S'pc101'
p204
sS'monids'
p205
(dsg13
NsS'monEisa'
p206
NsS'server'
p207
NsS'monHoriz'
p208
S'31.5'
p209
sS'devID'
p210
NsS'modes'
p211
(dp212
S'8'
(lp213
S'640x480'
p214
assS'keyOptions'
p215
S''
sS'keyVariant'
p216
S''
sS'monID'
p217
S'UnprobedMonitor'
p218
sS'keyLayout'
p219
S'us'
p220
sS'manualModes'
p221
(dsg121
g151
sS'keyRules'
p222
S'xfree86'
p223
sS'monVert'
p224
S'60'
p225
sS'cardMan'
p226
NsS'monSect'
p227
S''
sS'primary'
p228
I0
sS'vidRam'
p229
NsS'probed'
p230
I0
sS'monName'
p231
NsS'vidCards'
p232
(lsS'skip'
p233
I0
sS'files'
p234
S'\012# The location of the RGB database.  Note, this is the name of 
the\012# file minus the extension (like ".txt" or ".db").  There is 
normally\012# no need to change the default.\012\012    
RgbPath\011"/usr/X11R6/lib/X11/rgb"\012\012# Multiple FontPath entries are 
allowed (they are concatenated together)\012# By default, Red Hat 6.0 and 
later now use a font server independent of\012# the X server to render 
fonts.\012\012    FontPath   "/usr/X11R6/lib/X11/fonts/TrueType"\012    
FontPath   "unix/:7100"\012'
p235
sbsS'users'
p236
NsS'instPath'
p237
S'/mnt/sysimage'
p238
sS'intf'
p239
NsS'hdList'
p240
Nsb.
Comment 1 Michael Fulbright 2000-12-21 14:30:08 EST
Some of the files you copied are either corrupt or missing, causing the install
to fail. Make sure you copy all the required files in a binary safe method.

Note You need to log in before you can comment on or make changes to this bug.